<?php

$xuqiu = array
(
	1 => '广告',
	2 => '投稿',
	3 => '合作',
);

return array
(
	# 表名
	'name' => 'contact',
	# 显示给用户看的名称
	'lang' => '联系信息管理',
	# 是否显示在后台菜单
	'order' => 99,
	'xuqiu' => $xuqiu,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'username' 		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '姓名',
			'default' 	=> '',
			'desc' 		=> '姓名',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'mobile' 		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '电话',
			'default' 	=> '',
			'desc' 		=> '电话',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'email' 		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '电子邮件',
			'default' 	=> '',
			'desc' 		=> '电子邮件',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'content' 		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '留言内容',
			'default' 	=> '',
			'desc' 		=> '留言内容',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'xuqiu'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '需求',
			'default' 	=> '3',
			'desc' 		=> '需求',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $xuqiu,
			'search'	=> 'select',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创建时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		
	)
);
