<?php

$qudao = array
(
	1 => '虚拟人社区',
);

return array
(
	# 表名
	'name' => 'ding',
	# 显示给用户看的名称
	'lang' => '订阅信息',
	# 是否显示在后台菜单
	'order' => 100,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'search'	=> 'select',
			/*
			'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            */
			//'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
		),

		'username' 		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '用户名',
			'default' 	=> '',
			'desc' 		=> '用户名',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'email' 		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '电子邮件',
			'default' 	=> '',
			'desc' 		=> '电子邮件',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'qudao'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '订阅渠道',
			'default' 	=> '1',
			'desc' 		=> '订阅渠道',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $qudao,
			'search'	=> 'select',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创建时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		
	)
);
