<?php
$config['base'] = array
(
	'name' => '虚拟人社区',
	'version' => '1.0.0 Beta',

    # 设置类型
    'table' => array
    (
        1 => '造物主',
        2 => '虚拟人',
        3 => '资讯',
        4 => '专题',
        5 => '视频',
        6 => '活动',
    ),

    # 功能类型 0是表名，1是字段名
    'table_name' => array
    (
        1 => array('content/creater', 'creater_id'),
        2 => array('content/xuniren', 'xuniren_id'),
        3 => array('content/news', 'news_id'),
        4 => array('content/news', 'feature_id'),
        5 => array('content/news', 'vod_id'),
        6 => array('content/news', 'act_id'),
    ),

    'audit' => array
    (
        1 => '已审核',
        2 => '未审核',
        3 => '审核未通过',
    ),

    # 上线状态
    'status' => array
    (
        1 => '上线发布',
        2 => '下架',
    ),

    # 启用全站图片压缩
    //'pic' => 'yun_t1',
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    //'assets' => array('pc', 'mobile'),
    'assets' => 'xuniren',

    # 模板编译器目录
    'template' => 'xuniren',

    # 模板html文件的所在目录，默认为html
    'path' => '',

    'replace' => array
    (
        'css' => 'css/',
        'js' => 'js/',
        'images' => 'images/',
        'script' => 'script/',
        'static' => './static/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'index',
    ),
    
);
return $config;