<?php

$type = array
(
	1 => '微博分享',
	2 => '微信分享',
	3 => 'INS分享',
	4 => 'B站分享',
	5 => '抖音分享',
	6 => '复制链接',
);

return array
(
	# 表名
	'name' => 'share',
	# 显示给用户看的名称
	'lang' => '分享日志',
	# 是否显示在后台菜单
	'order' => 101,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'name' 		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '分享内容标题',
			'default' 	=> '',
			'desc' 		=> '分享内容标题',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'link' 		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '分享链接',
			'default' 	=> '',
			'desc' 		=> '分享链接',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分享类别',
			'default' 	=> '1',
			'desc' 		=> '分享类别',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $type,
			'search'	=> 'select',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分享时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		
	)
);
