<?php

$status = array(
    1 => '已登场',
    2 => '未登场',
);

return array
(
    # 表名
    'name' => 'creater_xuniren',
    # 显示给用户看的名称
    'lang' => '造物主虚拟人关联表',
    'order' => 1,
    'menu'  => false,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),
        
        'cid'      => array
        (
            'type'      => 'int-11',
            'name'      => '造物主id',
            'default'   => '',
            'desc'      => '造物主id',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
        ),

        'xid'      => array
        (
            'type'      => 'int-11',
            'name'      => '虚拟人id',
            'default'   => '',
            'desc'      => '虚拟人id',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
            'search'    => 'date',
        ),
    ),
    
    # 管理功能
    'manage' => array
    (

    ),

    # request 请求接口定义
    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'cid' => 'yes',
                'xid' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'col' => '*',
        ),
    ),
);
